
<?php
  //инициализируем переменные
  $FileName = $_GET['file'];
  $Mode = $_GET['mode'];
  //вычисляем номер линии, которую надо изменить
  $PollArr = file("../txt/".$FileName);
  $ProtectLine = (count($PollArr)-1) - 1;
  $PollArr[$ProtectLine] = "[protect]{$Mode}[/protect]\n";
  $PollStr = implode('', $PollArr);
  SaveStringInFile("../txt/".$FileName, $PollStr, 'w');
  Refresh($PageTmp);

?>